#include "testlib.h"
#include<bits/stdc++.h>
using namespace std;

typedef long long LL;
typedef pair<int, int> II;

const int MAXN = 1+int(1e5);
const int INF = int(1e9);

int xo, yo, xa, ya;
int n,m,s,t;
II ds[MAXN];
int deg[MAXN],x[MAXN];
int X[MAXN], Y[MAXN];

void doc_input()
{
    n = inf.readInt();
    for (int i=1; i<=n; i++) {
        X[i] = inf.readInt();
        Y[i] = inf.readInt();
    }
}


long long cnt_sum(long long x, long long y)
{
    long long res = 0;
    for (int i = 1; i <= n; i++)
        res += abs(x-X[i]) + abs(y-Y[i]);
    return res;
}

int main(int c, char **ars) {
    registerTestlibCmd(c, ars);

    doc_input();
    xo = ouf.readInt();
    yo = ouf.readInt();

    xa = ans.readInt();
    ya = ans.readInt();

    long long as = cnt_sum(xa, ya);
    long long os = cnt_sum(xo, yo);

    if (os != as)
        quitf(_wa, "Tổng khoảng cách tối ưu: %lld, Lời giải của bạn: %lld\n", as, os);

    quitf(_ok, "Tổng khoảng cách tối ưu: %lld\n", as);

    return 0;
}
